<?php

include_once('../global.php');

class NetworkHostList extends Page
{
  var $FullTitle = 'Registrované počítače';
  var $ShortTitle = 'Registrované počítače';

  function Show()
  {

    $Output = '<br /><table class="WideTable">
<tr><th>Jméno počítače</th><th>Místní IP adresa</th><th>Veřejná IP adresa</th><th>CZFree IP adresa</th><th>Naposledy online</th><th>Fyzická adresa</th></tr>';

    $DbResult = $this->Database->select('hosts', '*', 'type=0 AND user='.$this->System->Modules['User']->User['Member']);
    while($Host = $DbResult->fetch_array())
    {
      if($Host['online'] == 1) $Style = 'font-weight: bold; color: blue;'; else $Style = '';
      if($Host['IP'] == '') $Host['IP'] = '&nbsp;';
      if($Host['name'] == '') $Host['name'] = '&nbsp;';
      if($Host['czfree_ip'] == '') $Host['czfree_ip'] = '&nbsp;';
      if($Host['external_ip'] == '') $Host['external_ip'] = '&nbsp;';
      if($Host['MAC'] == '') $Host['MAC'] = '&nbsp;';
      $Output .= '<tr><td style="text-align: left; '.$Style.'">'.$Host['name'].'</td><td>'.$Host['IP'].'</td><td>'.$Host['external_ip'].'</td><td>'.$Host['czfree_ip'].'</td><td >'.HumanDate($Host['last_online']).'</td><td>'.$Host['MAC'].'</td></tr>';
    }
    $Output .= '</table><br />';
    return($Output);
  }
}

$System->AddModule(new NetworkHostList());
$System->Modules['NetworkHostList']->GetOutput();

?>
